/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.json;

import com.liferay.portal.kernel.json.JSONTransformer;

import jodd.json.JsonContext;
import jodd.json.TypeJsonSerializer;

/**
 * @author Igor Spasic
 */
public class JoddJsonTransformer implements TypeJsonSerializer<Object> {

	public JoddJsonTransformer(JSONTransformer jsonTransformer) {
		_jsonTransformer = jsonTransformer;
	}

	@Override
	public boolean serialize(JsonContext jsonContext, Object object) {
		_jsonTransformer.transform(new JoddJSONContext(jsonContext), object);

		return true;
	}

	private final JSONTransformer _jsonTransformer;

}